package cn.kk.spring_simple_operation;

import cn.kk.spring_simple_operation.mapper.VisualVideoPlanMapper;
import cn.kk.spring_simple_operation.model.dto.SkuPeopleNameDto;
import cn.kk.spring_simple_operation.model.dto.SkuSiteDTO;
import cn.kk.spring_simple_operation.service.*;
import cn.kk.spring_simple_operation.utils.ExcelUtil;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.nio.file.Files;
import java.util.LinkedList;
import java.util.List;

/**
 * @author kk
 * @date 2025/2/19
 */
@SpringBootTest
public class ApplicationTest {

	@Resource
	private VisualPhotographerAPlusService visualPhotographerAPlusService;

	@Resource
	private VideoProductService videoProductService;

	@Resource
	private PhotoProgressService photoProgressService;

	@Resource
	private APlusProductService aPlusProductService;

	@Test
	void contextLoads() throws Exception {
		//visualPhotographerAPlusService.brushDataForExecutor();

		//setUploadStatusIsDeleted();

		setAPlusProductUploadInfo();
	}

	private void setUploadStatusIsDeleted() throws Exception {
		File file = new File("已删除页面直接调整视频状态.xlsx");
		ExcelUtil<SkuSiteDTO> util = new ExcelUtil<SkuSiteDTO>(SkuSiteDTO.class);
		List<SkuSiteDTO> list = util.importExcel("精细视频", Files.newInputStream(file.toPath()));
		videoProductService.setUploadStatusIsDeleted(list);
		list = util.importExcel("简易视频", Files.newInputStream(file.toPath()));
		photoProgressService.setUploadStatusIsDeleted(list);
	}

	private void setAPlusProductUploadInfo() throws Exception {
		File file = new File("简版A+ AB测试.xlsx");
		ExcelUtil<SkuPeopleNameDto> util = new ExcelUtil<>(SkuPeopleNameDto.class);
		List<SkuPeopleNameDto> list = util.importExcel(Files.newInputStream(file.toPath()));
		aPlusProductService.setAPlusProductUploadInfo(list);
	}


}
